import * as $dara from '@darabonba/typescript';
export declare class AddCheckInstanceResultWhiteListResponseBody extends $dara.Model {
    /**
     * @remarks
     * The data returned. This parameter is deprecated.
     *
     * @example
     * xxx
     */
    data?: {
        [key: string]: any;
    };
    /**
     * @remarks
     * The ID of the request.
     *
     * @example
     * ADE57832-9666-511C-9A80-B87DE2E8****
     */
    requestId?: string;
    /**
     * @remarks
     * The ID of the whitelist rule.
     *
     * @example
     * 381049
     */
    ruleId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
